<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau: Référence de la classe Serveur</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-static-methods">Fonctions membres publiques statiques</a> &#124;
<a href="class_serveur-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe Serveur</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="serveur_8hpp_source.html">serveur.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a0125780f12d0a18452109947e581a4a5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serveur.html#a0125780f12d0a18452109947e581a4a5">Serveur</a> (const char *filepath)</td></tr>
<tr class="memdesc:a0125780f12d0a18452109947e581a4a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur de l'objet <a class="el" href="class_serveur.html">Serveur</a>.  <a href="#a0125780f12d0a18452109947e581a4a5">Plus de détails...</a><br /></td></tr>
<tr class="separator:a0125780f12d0a18452109947e581a4a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14a9f4e8ea50c086dd963adb9537abf0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serveur.html#a14a9f4e8ea50c086dd963adb9537abf0">Serveur</a> (const <a class="el" href="class_serveur.html">Serveur</a> &amp;serveur)</td></tr>
<tr class="memdesc:a14a9f4e8ea50c086dd963adb9537abf0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur par copie de l'objet <a class="el" href="class_serveur.html">Serveur</a>.  <a href="#a14a9f4e8ea50c086dd963adb9537abf0">Plus de détails...</a><br /></td></tr>
<tr class="separator:a14a9f4e8ea50c086dd963adb9537abf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a722aefd65c9efab0b3e0646bf3440ea1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serveur.html#a722aefd65c9efab0b3e0646bf3440ea1">~Serveur</a> ()</td></tr>
<tr class="memdesc:a722aefd65c9efab0b3e0646bf3440ea1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructeur de l'objet <a class="el" href="class_serveur.html">Serveur</a>.  <a href="#a722aefd65c9efab0b3e0646bf3440ea1">Plus de détails...</a><br /></td></tr>
<tr class="separator:a722aefd65c9efab0b3e0646bf3440ea1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c58497e65c8a106e41e1ba364d60514"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serveur.html#a1c58497e65c8a106e41e1ba364d60514">InitServeur</a> (int argc, char *argv[])</td></tr>
<tr class="memdesc:a1c58497e65c8a106e41e1ba364d60514"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialisation du serveur.  <a href="#a1c58497e65c8a106e41e1ba364d60514">Plus de détails...</a><br /></td></tr>
<tr class="separator:a1c58497e65c8a106e41e1ba364d60514"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85bea1c7e74ca63345fcd73151af371c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serveur.html#a85bea1c7e74ca63345fcd73151af371c">Start</a> ()</td></tr>
<tr class="memdesc:a85bea1c7e74ca63345fcd73151af371c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Démarre le serveur.  <a href="#a85bea1c7e74ca63345fcd73151af371c">Plus de détails...</a><br /></td></tr>
<tr class="separator:a85bea1c7e74ca63345fcd73151af371c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af975ebf473fba816a553e88b67a2715a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serveur.html#af975ebf473fba816a553e88b67a2715a">Stop</a> ()</td></tr>
<tr class="memdesc:af975ebf473fba816a553e88b67a2715a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Arrête le serveur.  <a href="#af975ebf473fba816a553e88b67a2715a">Plus de détails...</a><br /></td></tr>
<tr class="separator:af975ebf473fba816a553e88b67a2715a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad230d9f35c54db964a8213dc9c50b8f2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serveur.html#ad230d9f35c54db964a8213dc9c50b8f2">Run</a> ()</td></tr>
<tr class="memdesc:ad230d9f35c54db964a8213dc9c50b8f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Méthode d'écoute des erreurs.  <a href="#ad230d9f35c54db964a8213dc9c50b8f2">Plus de détails...</a><br /></td></tr>
<tr class="separator:ad230d9f35c54db964a8213dc9c50b8f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Fonctions membres publiques statiques</h2></td></tr>
<tr class="memitem:acd70161c61868928614d01da3c3714ab"><td class="memItemLeft" align="right" valign="top">static void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serveur.html#acd70161c61868928614d01da3c3714ab">Thread</a> (gpointer ptr)</td></tr>
<tr class="memdesc:acd70161c61868928614d01da3c3714ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Thread principale du serveur.  <a href="#acd70161c61868928614d01da3c3714ab">Plus de détails...</a><br /></td></tr>
<tr class="separator:acd70161c61868928614d01da3c3714ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock">
<p class="definition">Définition à la ligne <a class="el" href="serveur_8hpp_source.html#l00046">46</a> du fichier <a class="el" href="serveur_8hpp_source.html">serveur.hpp</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a0125780f12d0a18452109947e581a4a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0125780f12d0a18452109947e581a4a5">&#9670;&nbsp;</a></span>Serveur() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Serveur::Serveur </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>filepath</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructeur de l'objet <a class="el" href="class_serveur.html">Serveur</a>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">filepath</td><td>Le chemin vers la resource SVG. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a14a9f4e8ea50c086dd963adb9537abf0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14a9f4e8ea50c086dd963adb9537abf0">&#9670;&nbsp;</a></span>Serveur() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Serveur::Serveur </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_serveur.html">Serveur</a> &amp;&#160;</td>
          <td class="paramname"><em>serveur</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructeur par copie de l'objet <a class="el" href="class_serveur.html">Serveur</a>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">serveur</td><td>Objet de type <a class="el" href="class_serveur.html">Serveur</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a722aefd65c9efab0b3e0646bf3440ea1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a722aefd65c9efab0b3e0646bf3440ea1">&#9670;&nbsp;</a></span>~Serveur()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Serveur::~Serveur </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructeur de l'objet <a class="el" href="class_serveur.html">Serveur</a>. </p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a1c58497e65c8a106e41e1ba364d60514"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c58497e65c8a106e41e1ba364d60514">&#9670;&nbsp;</a></span>InitServeur()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Serveur::InitServeur </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>argv</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialisation du serveur. </p>
<p>Le serveur initialise le parseur, la socket et l'affichage. Les arguments <code>argc</code> et <code>argv</code> sont utilisé pour initialisé l'affichage graphique.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">argc</td><td>Le nombre de paramètre. </td></tr>
    <tr><td class="paramname">argv</td><td>La liste des paramètres. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>int Le code d'érreur 0 pour pas d'erreur et 1 si il y a une erreur. </dd></dl>
<dl class="section see"><dt>Voir également</dt><dd><a class="el" href="class_parsage.html#a08396b2448457846f13aa0c4f32c3058" title="Initialisation du parseur. ">Parsage::InitParsage()</a> </dd>
<dd>
<a class="el" href="class_socket.html#a5c3e3fdba40eb732b30869e131159863" title="Initialise la socket. ">Socket::InitSocket()</a> </dd>
<dd>
<a class="el" href="class_affichage.html#ad58baa5d348f161915bbc94be59e6011" title="Initialisation de la fenêtre graphique. ">Affichage::InitWindow()</a> </dd></dl>

</div>
</div>
<a id="ad230d9f35c54db964a8213dc9c50b8f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad230d9f35c54db964a8213dc9c50b8f2">&#9670;&nbsp;</a></span>Run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Serveur::Run </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Méthode d'écoute des erreurs. </p>
<p>Elle appel la méthode <a class="el" href="class_serveur.html#af975ebf473fba816a553e88b67a2715a" title="Arrête le serveur. ">Stop()</a> du serveur à la moindre détection d'érreur. Une erreur est détecté si la valeur de <code>this-&gt;g_data-&gt;error</code> passe de 0 à 1. </p>

</div>
</div>
<a id="a85bea1c7e74ca63345fcd73151af371c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85bea1c7e74ca63345fcd73151af371c">&#9670;&nbsp;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Serveur::Start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Démarre le serveur. </p>
<p>Le démarage du serveur comprend également le démarage de l'affichage ainsi que la socket. </p>

</div>
</div>
<a id="af975ebf473fba816a553e88b67a2715a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af975ebf473fba816a553e88b67a2715a">&#9670;&nbsp;</a></span>Stop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Serveur::Stop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Arrête le serveur. </p>
<p>Déclanche également l'arrêt de l'affichage et de la socket. </p>

</div>
</div>
<a id="acd70161c61868928614d01da3c3714ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd70161c61868928614d01da3c3714ab">&#9670;&nbsp;</a></span>Thread()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void * Serveur::Thread </td>
          <td>(</td>
          <td class="paramtype">gpointer&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Thread principale du serveur. </p>
<p>Le thread est utilisé pour appeler la méthode <a class="el" href="class_serveur.html#ad230d9f35c54db964a8213dc9c50b8f2" title="Méthode d&#39;écoute des erreurs. ">Run()</a>.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Le serveur courant casté en (void*). </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>NULL </dd></dl>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>include/class/<a class="el" href="serveur_8hpp_source.html">serveur.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
